> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List job descriptions for a job

> List the job descriptions for a job.



## OpenAPI

````yaml /openapi-private.json get /job-descriptions
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /job-descriptions:
    get:
      tags:
        - Job Descriptions
      summary: List job descriptions for a job
      description: List the job descriptions for a job.
      operationId: getJobDescriptionsForVacancy
      parameters:
        - name: vacancyId
          required: true
          in: query
          description: The job to list job descriptions for
          schema:
            type: string
            minLength: 1
        - name: language
          required: false
          in: query
          description: >-
            Optional language filter; when provided, only the job description in
            this language is returned
          schema:
            $ref: '#/components/schemas/DmSpottSupportedUserAiLanguage'
      responses:
        '200':
          description: Job descriptions retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetJobDescriptionsResponseDto'
        '400':
          description: The vacancyId query parameter is required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    DmSpottSupportedUserAiLanguage:
      type: string
      enum:
        - en-US
        - en-GB
        - es
        - nl
        - fr
        - de
        - hu
        - cs
        - pt
        - 'no'
        - sv
        - da
        - fi
        - pl
        - ro
        - it
        - af
      id: DmSpottSupportedUserAiLanguage
    GetJobDescriptionsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/JobDescriptionDto'
        pagination:
          $ref: '#/components/schemas/PaginationDto'
      required:
        - items
        - pagination
      id: PrivateGetJobDescriptionsResponseDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    JobDescriptionDto:
      type: object
      properties:
        jobDescriptionId:
          type: string
          minLength: 1
          description: Unique identifier of the job description
          example: 550e8400-e29b-41d4-a716-446655440000
        vacancyId:
          type: string
        language:
          $ref: '#/components/schemas/DmSpottSupportedUserAiLanguage'
          description: The language of this job description
        externalJobTitle:
          type: string
          description: The externally visible job title for this job
          example: Senior Software Engineer
        content:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The HTML content of the job description, or null if no content has
            been set
          example: <p>We are looking for a senior software engineer...</p>
      required:
        - jobDescriptionId
        - vacancyId
        - language
        - externalJobTitle
        - content
      id: PrivateJobDescriptionDto
    PaginationDto:
      type: object
      properties:
        totalItems:
          type: number
        page:
          type: number
        hasNextPage:
          type: boolean
      required:
        - totalItems
        - page
        - hasNextPage
      id: PaginationDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````